/*THIS SCRIPT CREATES DEFAULT SETTINGS TABLES: TSEReports, TSESettings, TSEUsers, TSEUsersProfiles.*/

/****** Object:  Table [dbo].[TSEReports]    Script Date: 16/07/2014 10:57:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TSEReports](
	[TSEReportsID] [int] IDENTITY(1,1) NOT NULL,
	[ReportName] [nvarchar](50) NOT NULL,
	[SQLQuery] [ntext] NULL,
	[FieldMasterChildColorRows] [nvarchar](50) NULL,
 CONSTRAINT [PK_TSEReports] PRIMARY KEY CLUSTERED 
(
	[TSEReportsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


/****** Object:  Table [dbo].[TSESettings]    Script Date: 08/07/2014 17:43:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TSESettings](
	[TSESettingsID] [int] IDENTITY(1,1) NOT NULL,
	[Template] [nvarchar](50) NULL,
	[LoginPageImg] [nvarchar](255) NULL,
	[FieldDefaultValue] [ntext] NULL,
	[LoginRecoveryEmailSubject] [nvarchar](255) NULL,
	[LoginRecoveryEmailHeaderImg] [nvarchar](255) NULL,
	[LoginRecoveryEmailBody] [ntext] NOT NULL,
	[LoginRecoveryEmailFooterImg] [nvarchar](255) NULL,
	[HelpFirstAccess] [nvarchar](255) NULL,
	[PageDescriptionClose] [ntext] NULL,
	[PrivacyText] [ntext] NULL,
 CONSTRAINT [PK_TSESettings] PRIMARY KEY CLUSTERED 
(
	[TSESettingsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[TSEUsers]    Script Date: 08/07/2014 17:43:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TSEUsers](
	[TSEUsersID] [int] IDENTITY(1,1) NOT NULL,
	[User] [nvarchar](50) NOT NULL,
	[Password] [nvarchar](50) NOT NULL,
	[Email] [nvarchar](255) NOT NULL,
	[ProfileID] [int] NULL,
 CONSTRAINT [PK_TSEUsers] PRIMARY KEY CLUSTERED 
(
	[TSEUsersID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[TSEUsersProfiles]    Script Date: 08/07/2014 17:43:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TSEUsersProfiles](
	[TSEUsersProfilesID] [int] IDENTITY(1,1) NOT NULL,
	[ProfileName] [nvarchar](25) NULL,
	[HideMainMenu] [ntext] NULL,
	[HideMenuVoice] [ntext] NULL,
	[HideTableField] [ntext] NULL,
	[DisableEdit] [ntext] NULL,
	[DisableDelete] [ntext] NULL,
	[DisableNew] [ntext] NULL,
 CONSTRAINT [PK_TSEUsersProfiles] PRIMARY KEY CLUSTERED 
(
	[TSEUsersProfilesID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


SET IDENTITY_INSERT [dbo].[TSESettings] ON 

INSERT [dbo].[TSESettings] ([TSESettingsID], [Template], [LoginPageImg], [FieldDefaultValue], [LoginRecoveryEmailSubject], [LoginRecoveryEmailHeaderImg], [LoginRecoveryEmailBody], [LoginRecoveryEmailFooterImg], [HelpFirstAccess], [PageDescriptionClose], [PrivacyText]) VALUES (1, N'Flick', NULL, NULL, N'Recupero credenziali d''accesso', N'Logo-Laboratre.png', N'<div><strong><small>Gentile utente</small></strong><small><strong>,</strong><br /> <br /> di seguito le credenziali per accedere al suo software: <br /> <br /> user: <strong>[admin]</strong><br /> pass: <strong>[password]</strong><br /> <br /> <br /><strong> NB.</strong> In qualsiasi momento pu&ograve; modificare autonomamente le credenziali d''accesso tramite la Sezione <em>Impostazioni -&gt; Gestione Login.</em></small> <br /> <small>Per impostare i parametri della sua azienda Sezione <em>Impostazioni -&gt; Parametri Azienda.</em><big> </big><br /> <br /> Per qualsiasi problema/chiarimento, siamo a sua disposizione.<br /> <br /> Cordiali saluti</small></div>
<p>--</p>
<p><span style="font-size: small;"><strong><span style="color: #ff0084;">TSE</span></strong></span></p>
<p><span style="font-size: x-small;"><strong>LABORATRE</strong> | Via Giuseppe Romita, 11</span><br /><span style="font-size: x-small;"> 70029 Santeramo in Colle (BA) Italy</span><br /><span style="font-size: x-small;"> Telefono: +39 080 3032608 | Fax +39 178 227 95 30</span><br /><span style="font-size: x-small;"> web: <a href="http://www.tablesmarteditor.com">http://www.tablesmarteditor.com</a></span></p>
<p><span style="font-size: x-small;"><strong>Privacy Policy - D.L.gs. 196/2003</strong></span><br /><span style="font-size: x-small;"> <em>Le informazioni contenute in questo messaggio di posta elettronica sono di carattere privato e confidenziale ed esclusivamente rivolte al destinatario sopra indicato. Nel caso aveste ricevuto questo messaggio di posta elettronica per errore, vi comunichiamo che ai sensi di Legge &egrave; vietato l''uso, la diffusione, distribuzione o riproduzione da parte di ogni altra persona. Siete pregati di segnalarlo immediatamente, rispondendo al mittente, e distruggere quanto ricevuto (compresi i file allegati) senza farne copia o leggerne il contenuto.</em></span></p>
<p><span style="font-size: large;"><strong>P</strong></span> <span style="font-size: x-small;">Save a tree. Do not print this message if not really necessary</span></p>', NULL, NULL, NULL, NULL)
SET IDENTITY_INSERT [dbo].[TSESettings] OFF
SET IDENTITY_INSERT [dbo].[TSEUsers] ON 

INSERT [dbo].[TSEUsers] ([TSEUsersID], [User], [Password], [Email], [ProfileID]) VALUES (1, N'admin', N'admin', N'youremail@yoursite.com', NULL)
SET IDENTITY_INSERT [dbo].[TSEUsers] OFF
SET IDENTITY_INSERT [dbo].[TSEUsersProfiles] ON 

INSERT [dbo].[TSEUsersProfiles] ([TSEUsersProfilesID], [ProfileName], [HideMainMenu], [HideMenuVoice], [HideTableField], [DisableEdit], [DisableDelete], [DisableNew]) VALUES (1, N'Admin', NULL, NULL, NULL, NULL, NULL, NULL)
SET IDENTITY_INSERT [dbo].[TSEUsersProfiles] OFF